/*******************************************************************************
 * Copyright (c) 2003, 2007 s IT Solutions AT Spardat GmbH .
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     s IT Solutions AT Spardat GmbH - initial API and implementation
 *******************************************************************************/

//@(#) $Id: BaseRpcSerFactory.java 2089 2007-11-28 13:56:13Z s3460 $
package at.spardat.xma.baserpc;

import at.spardat.xma.serializer.SerializerFactory;
import at.spardat.xma.session.XMASession;

/**
 * SerializerFactory for BaseRpcs
 * 
 * @author YSD, 13.02.2005  
 */
public class BaseRpcSerFactory extends SerializerFactory {
    
    /**
     * Indicates if executing at the server
     */
    private boolean             fIsAtServer;
    
    /**
     * Constructor
     */
    public BaseRpcSerFactory (boolean isAtServer) {
        fIsAtServer = isAtServer;
    }

    /**
     * @see at.spardat.xma.serializer.SerializerFactory#getSerializationMode0(at.spardat.xma.session.XMASession)
     */
    public String getSerializationMode0 (XMASession session) {
        // a set system-property overwrites all other settings
        String          sysProp = System.getProperty(SYS_PROP_KEY);
        if (sysProp != null) return sysProp;
        // default is SER_ASCII
        return SER_ASCII;
    }

    /**
     * @see at.spardat.xma.serializer.SerializerFactory#isAtServer()
     */
    public boolean isAtServer() {
        return fIsAtServer;
    }

}
