/*
 * @(#) $Id: TimingEventListClient.java 2672 2008-09-04 10:50:11Z webok $
 *
 * Copyright (c) 2003, 2008 s IT Solutions AT Spardat GmbH .
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     s IT Solutions AT Spardat GmbH - initial API and implementation
 *
 */
package at.spardat.xma.monitoring.client;

import java.util.ArrayList;
import java.util.List;

/**
 * Simple class which only holds a static List of TimingEventClientS.
 * This class is used by the XMA framework at the client side to store TimingEventClientS
 * to be transmitted with the next RPC.
 *
 * @author s3460
 * @since 2.0.4
 */
public class TimingEventListClient {

    private static List eventList = new ArrayList();

    /**
     * Returns the completed ClientTimingEvents and removes them from the static event list.
     * This method is only to be called by the XMA framework.
     *
     * @return all completed but still untransmitted (to the server) ClientTimingEvents.
     * @since version_number
     * @author s3460
     */
    public static synchronized ClientTimingEvent[] getEvents(){
        ClientTimingEvent[] events = new ClientTimingEvent[0];
        events = (ClientTimingEvent[]) eventList.toArray(events);
        eventList.clear();

        return events;
    }

    /**
     * Adds one event to the static list.
     * This method is only to be called by the XMA framework.
     * @param event
     * @since version_number
     * @author s3460
     */
    static synchronized void add(ClientTimingEvent event){
        eventList.add(event);
    }

}
